githubEdit

Integrations

circle-info

This document uses the REST API. For more details, see the Authentication for API page.

Create an integration for an organization (Early Access)

post

Create a new integration with specified credentials and profile name

Required permissions

  • Edit integrations (org.integration.edit)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The organization public ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body

Request body for creating an integration

Responses
post
/orgs/{org_id}/integrations

List all integrations for an organization (Early Access)

get

Get all integrations for an organization with cursor-based pagination

Required permissions

  • View integrations (org.integration.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The organization public ID

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
limitinteger · int32 · min: 10 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
Responses
chevron-right
200

List of integrations successfully retrieved

application/vnd.api+json
get
/orgs/{org_id}/integrations

Update an existing integration (Early Access)

patch

Update attributes of an integration. Supports partial updates - only provided fields will be modified.

Updateable fields:

  • profile_name: Change the user-defined name for the integration
  • credentials: Update AWS region, IAM role ARN, or both

Immutable fields:

  • integration_type: Cannot be changed after creation

Only include fields you want to update in the request body. Omitted fields remain unchanged.

Required permissions

  • Edit integrations (org.integration.edit)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The organization public ID

integration_idstring · uuidRequired

The unique identifier for the integration

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body

Request body for updating an integration (partial update supported)

Responses
chevron-right
200

Integration successfully updated

application/vnd.api+json
patch
/orgs/{org_id}/integrations/{integration_id}

Get a specific integration (Early Access)

get

Retrieve details for a single integration by its ID

Required permissions

  • View integrations (org.integration.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The organization public ID

integration_idstring · uuidRequired

The unique identifier for the integration

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
chevron-right
200

Integration successfully retrieved

application/vnd.api+json
get
/orgs/{org_id}/integrations/{integration_id}

Delete an integration (Early Access)

delete

Permanently delete a container registry integration from an organization. Brokered integrations must have broker mode disabled via the V1 API first. NOTE: This endpoint performs a hard delete of the integration. The integration will be permanently removed from the database and all associated targets and projects will be orphaned and need to be manually removed.

Required permissions

  • Edit integrations (org.integration.edit)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The organization public ID

integration_idstring · uuidRequired

The unique identifier for the integration

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
delete
/orgs/{org_id}/integrations/{integration_id}

No content

Update integration settings (Early Access)

patch

Update the settings for a specific integration. Supports partial updates.

Updateable fields:

  • container_app_scan_enabled: Enable or disable container application scanning (only applicable to container registry integrations)

Required permissions

  • Edit integrations (org.integration.edit)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The organization public ID

integration_idstring · uuidRequired

The unique identifier for the integration

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Body

Request body for updating integration settings

Responses
chevron-right
200

Integration settings successfully updated

application/vnd.api+json
patch
/orgs/{org_id}/integrations/{integration_id}/settings

Get integration settings (Early Access)

get

Get the settings for a specific integration.

Required permissions

  • View integrations (org.integration.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

The organization public ID

integration_idstring · uuidRequired

The unique identifier for the integration

Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
limitinteger · int32 · min: 10 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
Responses
chevron-right
200

Integration settings successfully retrieved

application/vnd.api+json
get
/orgs/{org_id}/integrations/{integration_id}/settings

Last updated

Was this helpful?